Bug 1841478 - [release-4.4] Nodes in Azure are getting into longUnregistered state
Summary: [release-4.4] Nodes in Azure are getting into longUnregistered state
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cloud Compute
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.4.z
Assignee: Joel Speed
QA Contact: sunzhaohua
URL:
Whiteboard:
Depends On: 1837341
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-05-29 09:09 UTC by Joel Speed
Modified: 2020-06-23 00:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Autoscaler expects provider IDs across Node and Machine objects to be an exact match. This may not be the case if the Machine configuration specifies a resource group name with mixed casing. Consequence: The autoscaler believes the Machine never gets a node and terminates the machine after a 15 minute period Fix: Sanitise the user input and convert the resource group to lowercase Result: Provider IDs will always match regardless of casing on user input
Clone Of: 1837341
Environment:
Last Closed: 2020-06-23 00:57:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-api-provider-azure pull 135 0 None closed [release-4.4] Bug 1841478: Use ToLower for Subscription ID and Resource Group Name 2020-06-16 00:19:48 UTC
Red Hat Product Errata RHBA-2020:2580 0 None None None 2020-06-23 00:58:09 UTC

Comment 3 sunzhaohua 2020-06-16 03:32:47 UTC
Verified
clusterversion: 4.4.0-0.nightly-2020-06-15-203705

creating an IPI Azure cluster, then modifying the MachineSet to set the resourceGroup to a capitalised version, then scaling up some Machines in that MachineSet, machines could join the cluster.

$ oc edit machineset zhsun616azure1-r62jc-worker-eastus23
resourceGroup: zhsun616azure1-r62jc-RG

$ oc get node
NAME                                         STATUS   ROLES    AGE    VERSION
zhsun616azure1-r62jc-master-0                Ready    master   164m   v1.17.1+912792b
zhsun616azure1-r62jc-master-1                Ready    master   164m   v1.17.1+912792b
zhsun616azure1-r62jc-master-2                Ready    master   164m   v1.17.1+912792b
zhsun616azure1-r62jc-worker-eastus21-whk9x   Ready    worker   151m   v1.17.1+912792b
zhsun616azure1-r62jc-worker-eastus22-vl9jb   Ready    worker   150m   v1.17.1+912792b
zhsun616azure1-r62jc-worker-eastus23-86gpn   Ready    worker   151m   v1.17.1+912792b
zhsun616azure1-r62jc-worker-eastus23-szn9j   Ready    worker   119s   v1.17.1+912792b

Comment 5 errata-xmlrpc 2020-06-23 00:57:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2580


Note You need to log in before you can comment on or make changes to this bug.